
part of 'responsive_size.dart';

extension ResponsiveWidth on double {
  double rWidth({
    double? maxWidth,
  }) {
    return ResponsiveSizeUtils.width(
      this,
      maxWidth: maxWidth,
    );
  }
}

extension ResponsiveHeight on double {
  double rHeight({
    double? maxHeight,
  }) {
    return ResponsiveSizeUtils.height(
      this,
      maxHeight: maxHeight,
    );
  }
}

extension WidthFraction on double {
  double get rwFraction => ResponsiveSizeUtils.widthFraction(
        fraction: this,
      );
}

extension HeightFraction on double {
  double get rhFraction => ResponsiveSizeUtils.heightFraction(
        fraction: this,
      );
}

extension ResponsiveFontSize on double {
  double rFont({
    double? maxFontSize,
  }) {
    return ResponsiveSizeUtils.responsiveFont(
      fontSize: this,
      maxFontSize: maxFontSize,
    );
  }
}
